For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
LogoLogo
BlogLogin
API Referencereports

List

GET
https://api.flockx.io/api/v1/reports
GET
/api/v1/reports
$curl https://api.flockx.io/api/v1/reports \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "id": "foo",
5 "created": "foo",
6 "modified": "foo",
7 "results": "foo",
8 "status": "foo",
9 "query": "What's going on in Grand Rapids, Michigan?"
10 }
11 ],
12 "meta": {
13 "total": 42,
14 "has_next": true,
15 "has_previous": true,
16 "page": 42
17 }
18}
List reports with optional filtering.
Was this page helpful?
Previous

Create

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

sizeintegerOptional1-100Defaults to 50
pageintegerOptional>=1Defaults to 1
statusstring or nullOptional
knowledge_graphstring or nullOptionalformat: "uuid"

Response

Successful Response
itemslist of objects
metaobject

Errors

422
Unprocessable Entity Error